Loading...
Searching...
No Matches
Tree

This section describes the tree facilities provided by StarPU. More...

## Data Structures

struct | starpu_tree

## Functions

void | starpu_tree_reset_visited (struct starpu_tree *tree, char *visited)
void | starpu_tree_prepare_children (unsigned arity, struct starpu_tree *father)
void | starpu_tree_insert (struct starpu_tree *tree, int id, int level, int is_pu, int arity, struct starpu_tree *father)
struct starpu_tree * | starpu_tree_get (struct starpu_tree *tree, int id)
struct starpu_tree * | starpu_tree_get_neighbour (struct starpu_tree *tree, struct starpu_tree *node, char *visited, char *present)
void | starpu_tree_free (struct starpu_tree *tree)

## Detailed Description

This section describes the tree facilities provided by StarPU.

## Data Structure Documentation

## starpu_tree

struct starpu_tree

Data Fields
struct starpu_tree * | nodes |
struct starpu_tree * | father |
int | arity |
int | id |
int | level |
int | is_pu |